import 'package:flutter/foundation.dart';
import 'package:krow/features/profile/wages_forms/domain/utils/wage_form_visitor.dart';

@immutable
abstract class WageFormEntity {
  const WageFormEntity({required this.isSigned, required this.isSubmitted});

  final bool isSigned;
  final bool isSubmitted;

  String get name;

  T visit<T>(WageFormVisitor<T> visitor);
}
